Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common
Interface PublishableConstants

All Known Subinterfaces:
  Publishable

public interface PublishableConstants

Describes objects that can be included in a workflow application package.

Since:
  WebLogic Process Integrator 7.0 SP2
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `BUSINESS_CALENDAR`
`static java.lang.Integer` | `BUSINESS_CALENDAR_KEY`
`static int` | `BUSINESS_OPERATION`
`static java.lang.Integer` | `BUSINESS_OPERATION_KEY`
`static int` | `EVENT_KEY`
`static java.lang.Integer` | `EVENT_KEY_KEY`
`static int` | `ORG`
`static java.lang.Integer` | `ORG_KEY`
`static int` | `ROLE`
`static java.lang.Integer` | `ROLE_KEY`
`static int` | `ROLE_USER_MAP`
`static java.lang.Integer` | `ROLE_USER_MAP_KEY`
`static int` | `TEMPLATE`
`static int` | `TEMPLATE_DEFINITION`
`static java.lang.Integer` | `TEMPLATE_DEFINITION_KEY`
`static java.lang.Integer` | `TEMPLATE_KEY`
`static int` | `USER`
`static java.lang.Integer` | `USER_KEY`
`static int` | `XML_REPOSITORY_ENTITY`
`static java.lang.Integer` | `XML_REPOSITORY_ENTITY_KEY`
`static int` | `XML_REPOSITORY_FOLDER`
`static java.lang.Integer` | `XML_REPOSITORY_FOLDER_KEY`

Field Detail

### TEMPLATE

    public static final int TEMPLATE

### TEMPLATE_DEFINITION

    public static final int TEMPLATE_DEFINITION

### BUSINESS_OPERATION

    public static final int BUSINESS_OPERATION

### BUSINESS_CALENDAR

    public static final int BUSINESS_CALENDAR

### USER

    public static final int USER

### ROLE

    public static final int ROLE

### ORG

    public static final int ORG

### XML_REPOSITORY_FOLDER

    public static final int XML_REPOSITORY_FOLDER

### XML_REPOSITORY_ENTITY

    public static final int XML_REPOSITORY_ENTITY

### EVENT_KEY

    public static final int EVENT_KEY

### ROLE_USER_MAP

    public static final int ROLE_USER_MAP

### TEMPLATE_KEY

    public static final java.lang.Integer TEMPLATE_KEY

### TEMPLATE_DEFINITION_KEY

    public static final java.lang.Integer TEMPLATE_DEFINITION_KEY

### BUSINESS_OPERATION_KEY

    public static final java.lang.Integer BUSINESS_OPERATION_KEY

### BUSINESS_CALENDAR_KEY

    public static final java.lang.Integer BUSINESS_CALENDAR_KEY

### USER_KEY

    public static final java.lang.Integer USER_KEY

### ROLE_KEY

    public static final java.lang.Integer ROLE_KEY

### ORG_KEY

    public static final java.lang.Integer ORG_KEY

### XML_REPOSITORY_FOLDER_KEY

    public static final java.lang.Integer XML_REPOSITORY_FOLDER_KEY

### XML_REPOSITORY_ENTITY_KEY

    public static final java.lang.Integer XML_REPOSITORY_ENTITY_KEY

### EVENT_KEY_KEY

    public static final java.lang.Integer EVENT_KEY_KEY

### ROLE_USER_MAP_KEY

    public static final java.lang.Integer ROLE_USER_MAP_KEY

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)